%define prefix /usr
%define name update-notifier
%define sleeper update-notifier-launcher
#define library update-notifier-lib
%define launcher unl
%define translation update-notifiers
%define origname Update-Notifier
%define version 1.5.2
%define release %mkrel 2
%define arch noarch
%define PACKAGE %{origname}
%define VERSION %{version}

Name		: %{name}
Summary		: update-notifier is a tool to automatically check for new updates
Summary(de)	: Update-Notifier ist ein Tool zur automatischen Überprüfung auf neue Updates
Summary(it)	: Update-Notifier e una applicazione per controllare gli aggiornamenti
Summary(es)	: Notificador de Actualizaciones es una herramienta para buscar nuevas actualizaciones
#Summary(nl)	: ???
Summary(fr)	: Le Notificateur de Mises Ã  Jour est un logiciel pour rechercher de nouvelles mises Ã  jour
Summary(pl)	: Update-notifier jest  programem do automatycznego sprawdzania nowych aktualizacji

Version		: %{version}
Release		: %{release}
Group		: System/Configuration/Packaging
# URL		: http://www.maik3531.de

Source		: %{name}-%{version}.tar.xz

License		: GPL v2 or later
Requires	: xterm apt yad synaptic libnotify
Requires	: gtkdialog
#BuildRequires	:
#Obsoletes	: gnome-%{name}
Provides	: %{name}
Conflicts	: gnome-%{name}

Distribution	: UPLOS
BuildRoot	: %_tmppath/%{name}-%{version}-%{release}
BuildArch	: %{arch}


%description
'Update-Notifier' in the Software Center menu (runs 'unl') provides a small frontend that displays clickable links to the first ten items from the Software & Security Updates section of the PCLinuxOS Form. You can also change the settings, do an update, or run synaptic (if it is not already running). When closed it will run 'update-notifier-launcher' which is the sleep process between updates.

'update-notifier' is a tool to automatically check for new updates. It displays an icon in the system tray with the quantity of updateable packages, or a reason for any failures.  It also provides options to view a list of available packages, and multiple ways to install them.  The user can also easily force an update check from here or the menu at any time.

The installation process will set up the notifier to automatically start at log-in for both the Gnome and KDE desktop environments.  Users of other desktop environments will have to manually start the application or set up auto-start for their environment.

%description -l de
Update-Notifier ist ein Tool zur automatischen Überprüfung auf neue Updates. Es zeigt ein Symbol im Systemtray der Taskleiste welches Sie über die Menge der aktualiesierbaren Pakete informiert, weiterhin bietet es mehrere Möglichkeiten diese zu installieren, erneut nach Aktualiesierungen zu suchen sowie eine Paketliste mit dessen Namen.

Update-Notifier wird bei den Gnome und KDE-Desktop-Umgebungen beim anmelden automatisch gestartet. Benutzer von anderen Desktop-Umgebungen müssen ggf. diese Anwendung manuell starten oder ein Autostart Eintrag erstellen.

%description -l it
Update-Notifier e una applicazione per controllare i aggiornamenti. Mostra una icona nel pannello del sistema, informa su la quantita e i nomi degli aggiornamenti e offre la opzione di installarli.

%description -l es
Notificador de Actualizaciones es una herramienta para buscar nuevas actualizaciones. Muestra un icono en la bandeja de sistema con la cantidad y los nombres de los paquetes actualizables y permite instalarlos.

%description -l nl
Update-Notifier is een tool om automatisch controleren op nieuwe updates. Het toont een pictogram in het systeemvak met de hoeveelheid bijgewerkt pakketten, of een reden voor eventuele tekortkomingen. Het biedt ook opties om een lijst met beschikbare pakketten, en meerdere manieren om ze te installeren. De gebruiker kan ook gemakkelijk dwingen een update vanaf hier of in het menu op elk moment.

%description -l fr
Le Notificateur de Mises à Jour est un logiciel qui recherche de nouvelles mises à jour. Il affiche une icône dans la zone de notification à propos du nombre et des noms des paquets à mettre à jour et propose de les installer.

%description -l pl
Update-notifier jest programem do automatycznego sprawdzania nowych aktualizacji. Pokazuje ikonę w zasobniku systemowym z ilością pakietów do aktualizacji. Przewiduje również opcje, aby wyświetlić listę dostępnych pakietów i wiele sposobów, aby je zainstalować. 

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{sleeper}
#%{_bindir}/%{library}
%{_bindir}/%{launcher}
%{_datadir}/apps/%{name}/*
%{_datadir}/autostart/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_iconsdir}/*
%doc readme copying #history #trans

#_____________________________________________________________________________________________

%prep
for i in $(find . -type f ); do sed -i 's/pclinuxos/uplos/g' "$i";done
rm -rf %{BuildRoot} 
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
%install

install -dm 0755 %{buildroot}%{_bindir}
install -dm 0755 %{buildroot}%{_iconsdir}
install -dm 0755 %{buildroot}%{_datadir}/apps/%{name}

install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_notify.png %{buildroot}%{_iconsdir}/
install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_ok.png %{buildroot}%{_iconsdir}/
install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_unknown.png %{buildroot}%{_iconsdir}/


install -m 0755 %{name} %{launcher} %{sleeper} %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0644 %{translation}.pot %{buildroot}%{_datadir}/apps/%{name}/
install -m 0644 u_n_plos.png %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-running %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-yad %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-gtkdialog %{buildroot}%{_datadir}/apps/%{name}/

ln -s %{_datadir}/apps/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}
ln -s %{_datadir}/apps/%{name}/%{sleeper} %{buildroot}/%{_bindir}/%{sleeper}
#ln -s %{_datadir}/apps/%{name}/%{library} %{buildroot}/%{_bindir}/%{library}
ln -s %{_datadir}/apps/%{name}/%{launcher} %{buildroot}/%{_bindir}/%{launcher}


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,it,es,nl,fr,pl}/LC_MESSAGES

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/unl.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/unl-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/update-notifier.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/update-notifier-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/update-notifier-launcher.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/update-notifier-launcher-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/unl.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/unl-fr_FR.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/update-notifier.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/update-notifier-fr_FR.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/update-notifier-launcher.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/update-notifier-launcher-fr_FR.po


# Autostart
%__install -dm 755 %{buildroot}%{_datadir}/autostart
%__cat > %{buildroot}%{_datadir}/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{origname}
Name[de]=%{origname}
Name[it]=%{origname}
Name[es]=%{origname}
Name[nl]=%{origname}
Name[fr]=%{origname}
Name[pl]=%{origname}
GenericName=%{name}
GenericName[de]=%{name}
GenericName[it]=%{name}
GenericName[es]=%{name}
GenericName[nl]=%{name}
GenericName[fr]=%{name}
GenericName[pl]=%{name}
Comment=Notification of updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
Exec=%{sleeper}
Icon=synaptic_ok
Terminal=false
Type=Application
OnlyShowIn=KDE;
X-KDE-StartupNotify=false
X-KDE-autostart-after=panel
X-KDE-autostart-condition=update-notifier:General:Autostart:true
EOF

# Gnome-Autostart
%__install -dm 755 %{buildroot}/etc/xdg/autostart
%__cat > %{buildroot}/etc/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=%{origname}
Exec=%{sleeper}
Icon=synaptic_ok
Comment=Notification of updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
X-GNOME-Autostart-enabled=true
EOF

# Menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{origname}
Name[de]=%{origname}
Name[it]=%{origname}
Name[es]=%{origname}
Name[nl]=%{origname}
Name[fr]=%{origname}
Name[pl]=%{origname}
GenericName=%{name}
GenericName[de]=%{name}
GenericName[it]=%{name}
GenericName[es]=%{name}
GenericName[nl]=%{name}
GenericName[fr]=%{name}
GenericName[pl]=%{name}
Comment=Notification of Updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
Exec=%{launcher}
Icon=synaptic_ok
Terminal=false
Type=Application
Categories=PackageManager;System;Application;X-MandrivaLinux-System-Configuration-Packaging;
EOF

# service

# %__cat > %{buildroot}/etc/init.d/%{name} << EOF
# #! /bin/bash
# 
# [ -x /usr/bin/update-notifier-launcher ] || exit 0    					# does the file exists? 
# 
# case "$1" in
#     start)
#         echo $"Starting update-notifier-launcher"
#         su $USER /usr/bin/update-notifier-launcher
#         pidof update-notifier-launcher > /var/run/update-notifier-launcher.pid 		# create pidfile
#         echo $"Done!"
#         ;;
#     stop)
#         echo $"Stopping update-notifier-launcher"
#         killall update-notifier-launcher
#         rm -f /var/run/update-notifier-launcher.pid						# remove pidfile
#         echo $"Done!"
#         ;;
#     restart)
#         $0 stop
#         $0 start
#         ;;  
#     *)
#         echo $"usage:$(basename $0) start | stop | restart"
#         exit 1
#         ;;
# esac
# EOF

# ln -s  %{buildroot}/etc/init.d/%{name} %{buildroot}/etc/rc5.d/S96%{name}


%post
%update_menus
#/sbin/ldconfig

%postun
%clean_menus
#/sbin/ldconfig

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


#______________________________________________________________________________________________

%changelog
* Wed Mar 08 2017 adrianomorselli <adrianomorselli> 1.5.2-2uplos2017
- removed pclos reference

* Wed Mar 08 2017 adrianomorselli <adrianomorselli> 1.5.2-1uplos2017
- change messages by held packages, 
  "There are updates available; try synaptic to upgrade your system."
